org.apache.fop.hyphenation

## Class HyphenationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.fop.hyphenation.HyphenationException

- All Implemented Interfaces:
    java.io.Serializable

      public class HyphenationException
      extends java.lang.Exception

  An hyphenation exception.

  This work was authored by Carlos Villegas (cav@uniscope.co.jp).

  TODO Derive from FOPException
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HyphenationException(java.lang.String msg)` Construct a hyphenation exception.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### HyphenationException

          public HyphenationException(java.lang.String msg)

      Construct a hyphenation exception.
      Parameters:
        `msg` - a message string
      See Also:
        `Throwable.Throwable(String)`

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.